
/*******************************************************************************
 Copyright 2005     Edelwise Inc.	All Rights Reserved
********************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <time.h>

#include "ceWISE.h"

static int ew_graph[100];	// list that holds the HANDLES of the variables for the graph
static int ew_ready;		// HANDLE of the READY variable

main ()
{
int i, ret;
long value = 0;

ceWISEinit();		// initialise the Edelwise environment

for ( i=0; i<100; i++)
	{
	char name[15];

	sprintf( name, "Data%02d", i );
	ew_graph[i] = ceWISEcreate( name, ceWise_LONG );
	}
	
ew_ready = ceWISEcreate( "Ready", ceWise_LONG );

while (1) 
	{
	_sleep(200);
	srand( (unsigned)time( NULL ) + value );
	
	for ( i=0; i<100; i++)
		{
		value = rand() % 100;
		ceWISEput(ew_graph[i], &value);
		}

	ceWISEget(ew_ready, &value);
	value = (value++ % 100);
	ceWISEput(ew_ready, &value);
	printf("value (%d)\n", value);
	}
}	

#if 0
ret = ceWISEcreate("testSTR",ceWise_STRING);
printf("create 'testSTR' (%d)\n", ret);

ret = ceWISEcreate("testLONG",ceWise_LONG);
printf("create 'testLONG' (%d)\n", ret);

ret = ceWISEcreate("testDOUBLE",ceWise_DOUBLE);
printf("create 'testDOUBLE' (%d)\n", ret);
#endif
