
/*******************************************************************************
 Copyright 2005     Edelwise Inc.	All Rights Reserved
********************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <time.h>

#include "ceWISE.h"


main ( int argc, char *argv[] )
{
int ew_del;
int ret;

if ( argc < 2 || *argv[1] == '\0' ) 
	{
	printf(">>> parameter missing \n\n>>> Cdel VariableName\n\n");
	exit(1);
	}

ceWISEinit();		// initialise the Edelwise environment


if ( (ew_del = ceWISEfind( argv[1] )) < 0 )
	{
	printf(">>> variable [%s] not found\n", argv[1]);
	exit(2);
	}

	
ret = ceWISEdelete( ew_del );
printf("*** variable [%s] deleted with rc=(%d)\n", argv[1], ret);

exit(0);
}	
